libebook::IMPResourceDirImpl Class Reference documentation

Classes | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libebook::IMPResourceDirImpl Class Reference

## Classes
struct | ResourceInfo

## Public Member Functions
| IMPResourceDirImpl (librevenge::RVNGInputStream *input, unsigned files, unsigned version)
librevenge::RVNGInputStream * | getDirStream () const
librevenge::RVNGInputStream * | getResourceByName (const char *name) const
librevenge::RVNGInputStream * | getResourceByType (const char *type) const

## Private Types
typedef boost::unordered_map< string, ResourceInfo > | ResourceMap_t
typedef boost::unordered_map< string, ResourceMap_t::const_iterator > | TypeMap_t

## Private Member Functions
| IMPResourceDirImpl (const IMPResourceDirImpl &other)
IMPResourceDirImpl & | operator= (const IMPResourceDirImpl &other)
ResourceMap_t::const_iterator | findResourceByType (const char *type) const
librevenge::RVNGInputStream * | createStream (const ResourceInfo &info) const

## Private Attributes
librevenge::RVNGInputStream * | m_stream
unsigned | m_start
unsigned | m_length
ResourceMap_t | m_resourceMap
TypeMap_t | m_typeMap

## Member Typedef Documentation

## § ResourceMap_t

typedef boost::unordered_map<string, ResourceInfo> libebook::IMPResourceDirImpl::ResourceMap_t
| private

## § TypeMap_t

typedef boost::unordered_map<string, ResourceMap_t::const_iterator> libebook::IMPResourceDirImpl::TypeMap_t
| private

## Constructor & Destructor Documentation

## § IMPResourceDirImpl() [1/2]

libebook::IMPResourceDirImpl::IMPResourceDirImpl | ( | const IMPResourceDirImpl & | other | ) |
| private

## § IMPResourceDirImpl() [2/2]

libebook::IMPResourceDirImpl::IMPResourceDirImpl | ( | librevenge::RVNGInputStream * | input,
|  | unsigned | files,
|  | unsigned | version
| ) |  |

## Member Function Documentation

## § createStream()

librevenge::RVNGInputStream * libebook::IMPResourceDirImpl::createStream | ( | const ResourceInfo & | info | ) | const
| private

Referenced by getResourceByName(), and getResourceByType().

## § findResourceByType()

IMPResourceDirImpl::ResourceMap_t::const_iterator libebook::IMPResourceDirImpl::findResourceByType | ( | const char * | type | ) | const
| private

Referenced by getResourceByType().

## § getDirStream()

librevenge::RVNGInputStream * libebook::IMPResourceDirImpl::getDirStream | ( |  | ) | const

## § getResourceByName()

librevenge::RVNGInputStream * libebook::IMPResourceDirImpl::getResourceByName | ( | const char * | name | ) | const

## § getResourceByType()

librevenge::RVNGInputStream * libebook::IMPResourceDirImpl::getResourceByType | ( | const char * | type | ) | const

## § operator=()

IMPResourceDirImpl& libebook::IMPResourceDirImpl::operator= | ( | const IMPResourceDirImpl & | other | ) |
| private

## Member Data Documentation

## § m_length

unsigned libebook::IMPResourceDirImpl::m_length
| private

Referenced by getDirStream(), and IMPResourceDirImpl().

## § m_resourceMap

ResourceMap_t libebook::IMPResourceDirImpl::m_resourceMap
| mutableprivate

Referenced by findResourceByType(), getResourceByName(), getResourceByType(), and IMPResourceDirImpl().

## § m_start

unsigned libebook::IMPResourceDirImpl::m_start
| private

Referenced by getDirStream(), and IMPResourceDirImpl().

## § m_stream

librevenge::RVNGInputStream* libebook::IMPResourceDirImpl::m_stream
| private

Referenced by createStream(), findResourceByType(), and getDirStream().

## § m_typeMap

TypeMap_t libebook::IMPResourceDirImpl::m_typeMap
| mutableprivate

Referenced by getResourceByType(), and IMPResourceDirImpl().

The documentation for this class was generated from the following file:

- IMPResourceDir.cpp